Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.core.data
Class DataType

    java.lang.Object
      org.eclipse.birt.core.data.DataType

    public abstract class DataType

extends java.lang.Object

Defines constants for BIRT data types

Nested Class Summary
`static class` | `DataType.AnyType` Other type can be found in JDK, such as Integer and String, but AnyType have to be manually created to make it correspond to "Any" name.

Field Summary
`static int` | `ANY_TYPE`
`static java.lang.String` | `ANY_TYPE_NAME`
`static int` | `BINARY_TYPE`
`static java.lang.String` | `BINARY_TYPE_NAME`
`static int` | `BLOB_TYPE`
`static java.lang.String` | `BLOB_TYPE_NAME`
`static int` | `BOOLEAN_TYPE`
`static java.lang.String` | `BOOLEAN_TYPE_NAME`
`static int` | `DATE_TYPE`
`static java.lang.String` | `DATE_TYPE_NAME`
`static int` | `DECIMAL_TYPE`
`static java.lang.String` | `DECIMAL_TYPE_NAME`
`static int` | `DOUBLE_TYPE`
`static java.lang.String` | `DOUBLE_TYPE_NAME`
`static int` | `INTEGER_TYPE`
`static java.lang.String` | `INTEGER_TYPE_NAME`
`static int` | `JAVA_OBJECT_TYPE`
`static java.lang.String` | `OBJECT_TYPE_NAME`
`static int` | `SQL_DATE_TYPE`
`static java.lang.String` | `SQL_DATE_TYPE_NAME`
`static int` | `SQL_TIME_TYPE`
`static java.lang.String` | `SQL_TIME_TYPE_NAME`
`static int` | `STRING_TYPE`
`static java.lang.String` | `STRING_TYPE_NAME`
`static int` | `UNKNOWN_TYPE`

Constructor Summary
`DataType()`

Method Summary
`static java.lang.Class` | `getClass(int typeCode)` Gets the Java class used to represent the specified data type.
`static java.lang.String` | `getName(int typeCode)` Gets the description of a data type.
`static boolean` | `isValidDataType(java.lang.Class objClass)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNKNOWN_TYPE

    public static final int UNKNOWN_TYPE

See Also:
  Constant Field Values

### ANY_TYPE

    public static final int ANY_TYPE

See Also:
  Constant Field Values

### BOOLEAN_TYPE

    public static final int BOOLEAN_TYPE

See Also:
  Constant Field Values

### INTEGER_TYPE

    public static final int INTEGER_TYPE

See Also:
  Constant Field Values

### DOUBLE_TYPE

    public static final int DOUBLE_TYPE

See Also:
  Constant Field Values

### DECIMAL_TYPE

    public static final int DECIMAL_TYPE

See Also:
  Constant Field Values

### STRING_TYPE

    public static final int STRING_TYPE

See Also:
  Constant Field Values

### DATE_TYPE

    public static final int DATE_TYPE

See Also:
  Constant Field Values

### BLOB_TYPE

    public static final int BLOB_TYPE

See Also:
  Constant Field Values

### BINARY_TYPE

    public static final int BINARY_TYPE

See Also:
  Constant Field Values

### SQL_DATE_TYPE

    public static final int SQL_DATE_TYPE

See Also:
  Constant Field Values

### SQL_TIME_TYPE

    public static final int SQL_TIME_TYPE

See Also:
  Constant Field Values

### JAVA_OBJECT_TYPE

    public static final int JAVA_OBJECT_TYPE

See Also:
  Constant Field Values

### ANY_TYPE_NAME

    public static final java.lang.String ANY_TYPE_NAME

### BOOLEAN_TYPE_NAME

    public static final java.lang.String BOOLEAN_TYPE_NAME

### INTEGER_TYPE_NAME

    public static final java.lang.String INTEGER_TYPE_NAME

### DOUBLE_TYPE_NAME

    public static final java.lang.String DOUBLE_TYPE_NAME

### DECIMAL_TYPE_NAME

    public static final java.lang.String DECIMAL_TYPE_NAME

### STRING_TYPE_NAME

    public static final java.lang.String STRING_TYPE_NAME

### DATE_TYPE_NAME

    public static final java.lang.String DATE_TYPE_NAME

### BLOB_TYPE_NAME

    public static final java.lang.String BLOB_TYPE_NAME

### BINARY_TYPE_NAME

    public static final java.lang.String BINARY_TYPE_NAME

### SQL_DATE_TYPE_NAME

    public static final java.lang.String SQL_DATE_TYPE_NAME

### SQL_TIME_TYPE_NAME

    public static final java.lang.String SQL_TIME_TYPE_NAME

### OBJECT_TYPE_NAME

    public static final java.lang.String OBJECT_TYPE_NAME

Constructor Detail

### DataType

    public DataType()

Method Detail

### getName

    public static java.lang.String getName(int typeCode)

  Gets the description of a data type.

  Parameters:
    `typeCode` - Data type enumeration value
  Returns:
    Textual description of data type. "Unknown" if an undefined data type is passed in.

### getClass

    public static java.lang.Class getClass(int typeCode)

  Gets the Java class used to represent the specified data type.

  Returns:
    Class for the specified data type. If data type is unknown or ANY, returns null.

### isValidDataType

    public static boolean isValidDataType(java.lang.Class objClass)

  Parameters:
    `objClass` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.